/*
 * $Id: VKCUserStatistics.java,v 1.2 2004/07/06 14:38:50 jonyp Exp $
 *
 * Copyright (c) Siemens AG 2008 
 *           (c) Universität Paderborn 2008 
 * Licensed under EUPL 1.1. 
 *
 * $Log: VKCUserStatistics.java,v $
 * Revision 1.2  2004/07/06 14:38:50  jonyp
 * preliminary
 *
 * Revision 1.1  2004/07/06 08:39:28  jonyp
 * firste strike
 *
 */

package vkc.statistics;

import java.util.GregorianCalendar;

public class VKCUserStatistics 
{
	private int countUsers = 0;
	private int countAdminUsers = 0;
	private int countDAdminUsers = 0;
	private int countCreators = 0;	 
	private int countActiveUsers = 0;  // mostrecentlogin
	private int countPassiveUsers = 0;  // state = gesperrt
	private GregorianCalendar from;
	private GregorianCalendar until;
    
	public VKCUserStatistics() {
	}   


	public GregorianCalendar getFrom() {
		return from;
	}

	public GregorianCalendar getUntil() {
		return until;
	}


	public void setFrom(GregorianCalendar timestamp) {
		from = timestamp;
	}

	public void setUntil(GregorianCalendar timestamp) {
		until = timestamp;
	}

	public int getCountUsers() {
		return countUsers;
	}

	public void setCountUsers(int i) {
		countUsers = i;
	}

	public int getCountActiveUsers() {
		return countActiveUsers;
	}

	public void setCountActiveUsers(int i) {
		countActiveUsers = i;
	}

	public int getCountPassiveUsers() {
		return countPassiveUsers;
	}

	public void setCountPassiveUsers(int i) {
		countPassiveUsers = i;
	}

	public int getCountCreators() {
		return countCreators;
	}

	public void setCountCreators(int i) {
		countCreators = i;
	}

	public int getCountAdminUsers() {
		return countAdminUsers;
	}

	public int getCountDAdminUsers() {
		return countDAdminUsers;
	}

	public void setCountAdminUsers(int i) {
		countAdminUsers = i;
	}

	public void setCountDAdminUsers(int i) {
		countDAdminUsers = i;
	}

}
